import { select, csv, scaleLinear, max } from 'd3';

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));
const render = data => {
	svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width', 300)
  		.attr('height', 200);
	};
csv('data.csv').then(data => {
  const xScale = scaleLinear()
  	.domain([0, max(data, d => d.population)]);
  
  console.log(xScale.domain());
  
  data.forEach(d => {
  	d.population = +d.population * 1000;
  });
  render(data);
	});


